Summary: The Free UNIX Spectrum Emulator
Name: fuse-emulator
Version: 0.7.0
Release: 6%{?dist}
License: GPL
Group: Applications/Emulators
Source: http://kent.dl.sourceforge.net/sourceforge/fuse-emulator/fuse-%{version}.tar.gz
Source1: fuse.png
Source2: README.z88sdk
Patch: fuse-sound.patch
URL: http://fuse-emulator.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libdsk-devel
BuildRequires: lib765-devel
BuildRequires: gtk2-devel
BuildRequires: libxml2-devel
BuildRequires: libpng-devel
BuildRequires: libspectrum-devel
BuildRequires: bison
BuildRequires: flex

# The SRPM created from this spec file deliberately does not include the 
# ROMS required to run the emulator. For the location of the ROMS, see
# the ROMS readme file.

%description
Fuse is a spectrum emulator which emulates multiple models, including the 16K,
48K, 128K, +2, +2A, +3 and various clones.

%prep
rm -rf ${RPM_BUILD_ROOT}
%setup -q -n fuse-%{version}
%patch -p1 -b sound.c

%build
%configure
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/fuse
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/applications
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps

install -m0644 man/fuse.1 ${RPM_BUILD_ROOT}%{_mandir}/man1

install -c fuse ${RPM_BUILD_ROOT}%{_bindir}/fuse
cp lib/*.z80 ${RPM_BUILD_ROOT}%{_datadir}/fuse/
cp lib/*.bmp ${RPM_BUILD_ROOT}%{_datadir}/fuse/
cp lib/*.scr ${RPM_BUILD_ROOT}%{_datadir}/fuse/
install -m0755 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png 
cp %{SOURCE2} README.z88sdk

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_mandir}/man1/fuse.1.gz
%{_bindir}/fuse
%{_datadir}/fuse/
%{_datadir}/pixmaps/%{name}.png
%doc AUTHORS ChangeLog COPYING README THANKS ROMS README.z88sdk

%changelog
* Thu Feb 9 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.7.0-6
- Removed pre and post as they were empty
- Fixed the "fuse-emulator" problem

* Wed Oct 26 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.7.0-5
- Altered package name to fuse-emulator (macro)
- Removed BR: zlib-devel and BR: glibc-devel and both Requires
- Included comment regarding the SRPM not containing the ROMS
- Added README.z88sdk file to the archive
- Made the source of the tarball a valid one!
- Removed a comma from after xml2-devel

* Mon Oct 17 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.7.0-4
- Minor alteration to spec file (Build require=perl gone)
- Addition of sound.c patch file

* Fri Sep 02 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.7.0-3.fc
- Removal of ROMS and addition to documentation of where to get ROMS

* Mon Aug 29 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.7.0-2.fc
- Fixes to both the source and spec for FC

* Mon Feb 28 2005 Ian Chapman <packages@amiga-hardware.com> - 0.7.0-2.iss
- Rebuild for newer version of lib765 (0.3.3)

* Mon Jul 16 2004 Ian Chapman <packages@amiga-hardware.com> - 0.7.0-1.iss
- Updated to version 0.7.0
- Updated for Fedora Core 2
- Added a graphic for the menu icon

* Fri Dec 05 2003 Ian Chapman <packages@amiga-hardware.com> - 0.6.1.1-2
- Minor fixes to changelog
- Improved use of macros
- Removed most explicit library dependancies
- Added menu icon

* Sun Nov 30 2003 Ian Chapman <packages@amiga-hardware.com> - 0.6.1.1-1
- Initial Release
